// preference controller - shows and handles the BorkWalk preference window,
// which allows folks to set the time the borkwalk window pops up, as well
// control the message shown.
// also handles the storage and access of preferences themselves

#import <AppKit/AppKit.h>


@interface PreferenceController : NSWindowController 
{
    NSMutableSet 		*alertTimes; // contains number objects
    IBOutlet NSTextField	*message;
    IBOutlet NSPanel 		*prefsPanel;
    IBOutlet NSBox 		*hoursBox; // holds checkboxes
}

// random accessors so the application controler can make sue 

- (NSString *) alertMessage;
- (NSSet *) alertTimes;

// random button actions

- (IBAction) changeAlertTime: (id) sender;
- (IBAction) changeAlertMessage: (id) sender;
- (IBAction) factoryDefaults: (id) sender;

@end // PreferenceController

